* {
  font-family: verdana, sans-serif;
  font-size: 18px;
  letter-spacing: 0.1em;
  box-sizing: border-box;
}

:root {
  /* These are absolutely random colors, apart from */
  /* black and white. Those are meant to be easier  */
  /* on the eyes than full-on black and white */
  --color__base: #0A8754;
  --color__highlight: #508CA4;
  --color__black: #070707;
  --color__white: #f7f7f7;
}

body {
  margin-top: 3.5rem;
  background-color:var(--color__white);
}

/* *Page Header* */
#navbar {
  position: fixed;
  top: 0;
  left: 0;
  height: 3rem;
  width: 100%;
  padding: 0 10%;
  background-color: var(--color__base);
  z-index: 3;
}

#nav-img {
  height: 100%;
}

/* *Page Header on Desktop* */
@media only screen and (min-width: 480px) {
  #navbar {
    padding: 0 20%;
  }
}

/* *Loading gif* */

#gif-load {
  display: none;
  flex-direction: column;
  align-items: center;
}

#gif-load img {
  width: auto;
  height: 10vw;
}

/* *Search Form* */
.form {
  height: 150px;
  width: 85%;
  background-color: var(--color__white);
  padding: 1.5em;
}

.form__label + .form__input {
  margin-top: 1em;
}

.form__input {
  width: 70%;
  border: none;
  padding: 0.5em;
  box-shadow: 0 0 15px var(--color__highlight);
}

.form__input:disabled{
  display:none;
}

.form__button {
  height: 3em;
  width: 45%;
  padding: 0.5em;
  background-color: var(--color__highlight);
  font-weight: bold;
}

.form__button--inactive{
  background-color:var(--color__base)
}

/* *Search Form on Desktop* */
@media only screen and (min-width: 480px) {
  .form {
    width: 50%;
  }

  .form__button {
    width: 30%;
  }
}

/* *Canvas and Classes within it* */
.canvas {
  display:grid;
  grid-template-rows: repeat(1fr);
  row-gap:1rem;
  margin-left: auto;
  margin-right: auto;
  margin-bottom:2rem;
  height: 60vh;
  width: 90%;
}

.canvas__logo-box {
  height: 250px;
  width: 250px;
  border-radius: 50%;
  margin-top: 5rem;
  margin-left: auto;
  margin-right: auto;
  background-color: var(--color__base);
}

.canvas__logo {
  height: 100%;
  object-fit: cover;
}

.canvas__result-box {
  height: 5em;
  width: 90%;
  margin-left: auto;
  margin-right: auto;
  padding: 0.5em;
  margin-top: 1.5rem;
  background-color: var(--color__base);
  border-radius: 20px;
  position: relative;
  box-shadow: 5px 5px 15px var(--color__highlight);
}

.canvas__result-text {
  margin-top: 0em;
  max-width: 25ch;
  overflow: hidden;
  display: -webkit-box;
  -webkit-box-orient: vertical;
  -webkit-line-clamp: 3;
}

.canvas__result-button {
  height: 1.5em;
  border: none;
  border-radius: 20px;
  background-color: var(--color__highlight);
  color: var(--color__black);
  font-weight: bold;
  float: right;
  text-align: center;
  position: absolute;
  bottom: 0.5em;
  right: 0.5em;
}

.canvas__score-card {
  display: grid;
  padding:.5em;
  border-radius:20px;
  width: 100%;
  height:250px;
  align-items: center;
  background-color: var(--color__base);
}

.canvas__score-card--crime{
  grid-row: 3;
}

.city__entry {
  grid-column: 1;
}

.city__entry--subtitle, .city__entry--subtitle{
  grid-column: span 2;
}

.city__value {
  grid-column: 2;
  text-align:right;
  height:1em;
}

.canvas__search-header{
  background-color: var(--color__highlight);
  grid-row:1;
  height:max-content;
  padding:.5em;
  border-radius:20px;
  border:2px solid black;
}

.canvas__city-safety-score{
  font-weight:bold;
  font-size:1.2rem;
  text-shadow: 0 0 15px white;
}

.canvas__city-safety-score--red{
  color:red;
}

.canvas__city-safety-score--yellow{
  color:yellow;
}

.canvas__city-safety-score--green{
  color:green;
}


/* *Canvas on Desktop* */
@media screen and (min-width: 590px) {
  .canvas {
    align-items:baseline;
    gap:1rem;
  }

  .canvas__search-header{
    grid-column:span 2;
    grid-row: 1;
  }

  .canvas__score-card{

    grid-row:2;
  }

  .canvas__score-card--crime{
    grid-column: 2;
  }

  .canvas__paragraph {
    margin-top: 0.5em;
    max-width: 55ch;
    overflow: hidden;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 2;
  }
}
